package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueProduct;
import com.tmerclub.cloud.cuerecycle.model.dto.CueProductDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆商品Mapper接口
 *
 * @author: frank
 * @create: 2025-04-10
 **/
public interface CueProductMapper {
    /**
     * 根据主键id查询
     *
     * @param id 主键id
     * @return 球杆商品
     */
    CueProduct selectById(Long id);

    /**
     * 根据系列id查询列表
     *
     * @param seriesId 系列id
     * @return 球杆商品列表
     */
    List<CueProduct> listBySeries(Long seriesId);

    /**
     * 查询列表
     *
     * @param query 查询条件
     * @return 球杆商品列表
     */
    List<CueProduct> list(CueProductDTO query);

    /**
     * 新增
     *
     * @param product 球杆商品
     * @return 影响行数
     */
    int insert(CueProduct product);

    /**
     * 修改
     *
     * @param product 球杆商品
     * @return 影响行数
     */
    int update(CueProduct product);

    /**
     * 修改状态
     *
     * @param id    主键id
     * @param status 状态
     * @return 影响行数
     */
    int updateStatus(@Param("id") Long id, @Param("status") Integer status);
}
