package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueSeries;
import com.tmerclub.cloud.cuerecycle.model.dto.CueSeriesDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆系列Mapper接口
 *
 * @author: frank
 * @create: 2025-04-10
 **/
public interface CueSeriesMapper {
    /**
     * 根据id查询球杆系列
     *
     * @param id 主键id
     * @return 对象
     */
    CueSeries selectById(Long id);

    /**
     * 根据品牌id查询球杆系列
     *
     * @param brandId 品牌id
     * @return 对象集合
     */
    List<CueSeries> listByBrand(Long brandId);

    /**
     * 根据条件查询球杆系列
     *
     * @param query 查询条件
     * @return 对象集合
     */
    List<CueSeries> list(CueSeriesDTO query);

    /**
     * 新增球杆系列
     *
     * @param series 球杆系列
     * @return 影响行数
     */
    int insert(CueSeries series);

    /**
     * 更新球杆系列
     *
     * @param series 球杆系列
     * @return 影响行数
     */
    int update(CueSeries series);

    /**
     * 修改状态
     *
     * @param id    主键id
     * @param status 状态
     * @return 影响行数
     */
    int updateStatus(@Param("id") Long id, @Param("status") Integer status);
}