package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueType;
import com.tmerclub.cloud.cuerecycle.model.dto.CueTypeDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆类型Mapper接口
 *
 * @author: frank
 * @create: 2025-04-10
 **/
public interface CueTypeMapper {
    /**
     * 根据id查询
     *
     * @param id 主键id
     * @return 对象
     */
    CueType selectById(Long id);

    /**
     * 查询所有启用状态的数据
     *
     * @return 对象集合
     */
    List<CueType> listEnabled();

    /**
     * 根据条件查询
     *
     * @param query 查询条件
     * @return 对象集合
     */
    List<CueType> list(CueTypeDTO query);

    /**
     * 新增
     *
     * @param cueType 对象
     * @return 影响行数
     */
    int insert(CueType cueType);

    /**
     * 修改
     *
     * @param cueType 对象
     * @return 影响行数
     */
    int update(CueType cueType);

    /**
     * 修改状态
     *
     * @param id    主键id
     * @param status 状态
     * @return 影响行数
     */
    int updateStatus(@Param("id") Long id, @Param("status") Integer status);
}
